### Function

# EBookContacts BookQuery vcard_field_test

since: 2.22

#### Declaration [src]

    EBookQuery*
    e_book_query_vcard_field_test (
      const gchar* field,
      EBookQueryTest test,
      const gchar* value
    )

#### Description [src]

Creates a new `EBookQuery` which tests `field` for `value` using the test `test`.

Available since: 2.22

#### Parameters

`field`

  Type: `const gchar*`

  A EVCard field name to test.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`test`

  Type: `EBookQueryTest`

  The test to apply.

`value`

  Type: `const gchar*`

  The value to test for.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `EBookQuery`

The new `EBookQuery`.

The caller of the function takes ownership of the data, and is responsible for freeing it.